asciidoc-0.1.0.3: AsciiDoc parser.

Safe Haskell | None
Language | Haskell2010

AsciiDoc.Parse

Synopsis

- parseDocument :: Monad m => (FilePath -> m Text) -> (FilePath -> Int -> String -> m Document) -> FilePath -> Text -> m Document

# Documentation

parseDocument Source #

Arguments

:: Monad m |
=> (FilePath -> m Text) | Get contents of an included file
-> (FilePath -> Int -> String -> m Document) | Raise an error given source pos and message
-> FilePath | Path of file containing the text
-> Text | Text to convert
-> m Document |

Parse an AsciiDoc document into an AST.